Bug 1305114 - Importing ospd-7 images on ospd-8 undercloud fails
Importing ospd-7 images on ospd-8 undercloud fails
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: RHOS Maint
Shai Revivo
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 12:03 EST by wes hayutin
Modified: 2017-08-23 10:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 10:47:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2016-02-05 12:03:07 EST
Description of problem:

1. install/deploy ospd-8 undercloud via the latest poodle 2016-02-04.1
2. download the osp-7 images 
3. list of images
-rw-r--r--. 1 stack stack   56384263 Oct  7 11:16 deploy-ramdisk-ironic.initramfs
-rwxr-xr-x. 1 stack stack    5027648 Oct  7 11:16 deploy-ramdisk-ironic.kernel
-rw-rw-r--. 1 stack stack   61419520 Oct  7 11:17 deploy-ramdisk-ironic.tar
-rw-r--r--. 1 stack stack  154086000 Jan 26 12:18 discovery-ramdisk.initramfs
-rwxr-xr-x. 1 stack stack    5153088 Jan 26 12:18 discovery-ramdisk.kernel
-rw-rw-r--. 1 stack stack  159242240 Jan 26 12:20 discovery-ramdisk.tar
-rw-rw-r--. 1 stack stack  158443520 Feb  5 11:26 fedora-user.qcow2
-rw-r--r--. 1 stack stack   40256877 Jan 26 12:25 overcloud-full.initrd
-rw-r--r--. 1 stack stack  979120640 Jan 26 12:28 overcloud-full.qcow2
-rw-rw-r--. 1 stack stack 1024542720 Jan 26 12:33 overcloud-full.tar
-rwxr-xr-x. 1 stack stack    5153088 Jan 26 12:25 overcloud-full.vmlinuz

4. upload images into glance using the openstack client

source /home/stack/stackrc; pushd /home/stack/overcloud_images; openstack overcloud image upload

ERROR:
stderr: Required file "./ironic-python-agent.initramfs" does not exist.
Comment 1 wes hayutin 2016-02-05 12:18:31 EST
command: overcloud image upload -> tripleoclient.v1.overcloud_image.UploadOvercloudImage
take_action(Namespace(http_boot='/httpboot', image_path='./', old_deploy_image=False, os_image='overcloud-full.qcow2', update_existing=False))
checking if image files exist
Required file "./ironic-python-agent.initramfs" does not exist.
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 374, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 54, in run
    self.take_action(parsed_args)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_image.py", line 694, in take_action
    image))
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_image.py", line 572, in _check_file_exists
    'Required file "%s" does not exist.' % file_path
CommandError: Required file "./ironic-python-agent.initramfs" does not exist.
clean_up UploadOvercloudImage: Required file "./ironic-python-agent.initramfs" does not exist.
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/openstackclient/shell.py", line 112, in run
    ret_val = super(OpenStackShell, self).run(argv)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 255, in run
    result = self.run_subcommand(remainder)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 374, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 54, in run
    self.take_action(parsed_args)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_image.py", line 694, in take_action
    image))
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_image.py", line 572, in _check_file_exists
    'Required file "%s" does not exist.' % file_path
CommandError: Required file "./ironic-python-agent.initramfs" does not exist.
Comment 2 Mike Burns 2016-04-07 17:07:13 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 4 Jason E. Rist 2016-10-14 19:25:09 EDT
This isn't related to 10.

Note You need to log in before you can comment on or make changes to this bug.